<?php

/**
 * Enqueue scripts and styles in the frontend.
 */
function corrected_newsmag_scripts() {
	$corrected_newsmag = wp_get_theme();

	/**
	 * Load Google Fonts
	 */
  /*
	wp_enqueue_style( 'newsmag-fonts', '//fonts.googleapis.com/css?family=Lato:100,300,400,700,900|Poppins:400,500,600,700', array(), $newsmag['Version'], 'all' );
   */
	wp_enqueue_style( 'CEU_newsmag-fonts', '//fonts.googleapis.com/css?family=Lato:100,300,400,700,900|Poppins:400,500,600,700', array(), false, 'all' );

	wp_enqueue_style( 'CEU_font-awesome-style', plugin_dir_url( __FILE__ )  . '/assets/vendors/fontawesome//font-awesome.min.css' );

	/**
	 * Load the bootstrap framework
	 */
	wp_enqueue_style( 'CEU_bootstrap-style', plugin_dir_url( __FILE__ )  . '/assets/vendors/bootstrap/bootstrap.min.css' );
	wp_enqueue_style( 'CEU_bootstrap-theme-style', plugin_dir_url( __FILE__ )  . '/assets/vendors/bootstrap/bootstrap-theme.min.css' );
/*
	wp_enqueue_script( 'newsmag-bootstrap', plugin_dir_url( __FILE__ )  . '/assets/vendors/bootstrap/bootstrap.min.js', array( 'jquery' ), $newsmag['Version'], true );
*/
	wp_enqueue_script( 'CEU_newsmag-bootstrap', plugin_dir_url( __FILE__ )  . '/assets/vendors/bootstrap/bootstrap.min.js', array( 'jquery' ), false, true );

	/**
	 * Load offscreen helper
	 */
  /*
	wp_enqueue_script( 'newsmag-offscreen', plugin_dir_url( __FILE__ )  . '/assets/vendors/offscreen/offscreen.min.js', array( 'jquery' ), $newsmag['Version'], true );
  */
	wp_enqueue_script( 'CEU_newsmag-offscreen', plugin_dir_url( __FILE__ )  . '/assets/vendors/offscreen/offscreen.min.js', array( 'jquery' ), false , true );


	/**
	 * Load the Sticky library
	 */
  /*
	wp_enqueue_script( 'newsmag-sticky', plugin_dir_url( __FILE__ )  . '/assets/vendors/sticky/jquery.sticky.js', array( 'jquery' ), $newsmag['Version'], true );
  */
	wp_enqueue_script( 'CEU_newsmag-sticky', plugin_dir_url( __FILE__ )  . '/assets/vendors/sticky/jquery.sticky.js', array( 'jquery' ), false, true );


	/**
	 * Theme styling
	 */

	wp_enqueue_style( 'CEU_newsmag-style', get_stylesheet_uri() );
/*
wp_enqueue_style( 'newsmag-stylesheet', plugin_dir_url( __FILE__ )  . '/assets/css/style.css', array(), $newsmag['Version'] );
*/
        wp_enqueue_style( 'CEU_newsmag-stylesheet', plugin_dir_url( __FILE__ )  . '/assets/css/style.css', array(), false );

	/**
	 * Load menu script & skip-link-focus-fix
	 */

	wp_enqueue_script( 'CEU_newsmag-navigation', plugin_dir_url( __FILE__ )  . '/assets/js/navigation.js', array(), $newsmag['Version'], true );
/*  Added CEU_ prefix and also set version to default (false)
	wp_enqueue_script( 'newsmag-skip-link-focus-fix', plugin_dir_url( __FILE__ )  . '/assets/js/skip-link-focus-fix.js', array(), $newsmag['Version'], true );
*/
	wp_enqueue_script( 'CEU_newsmag-skip-link-focus-fix', plugin_dir_url( __FILE__ )  . '/assets/js/skip-link-focus-fix.js', array(), false, true );


	/**
	 * Adsense loader
	 */
/* Old version, updated version and CEU_ prefix
	wp_enqueue_script( 'newsmag-adsense-loader', plugin_dir_url( __FILE__ )  . '/assets/vendors/adsenseloader/jquery.adsenseloader.js', array('jquery'), $newsmag['Version'], true );
*/

	wp_enqueue_script( 'CEU_newsmag-adsense-loader', plugin_dir_url( __FILE__ )  . '/assets/vendors/adsenseloader/jquery.adsenseloader.js', array('jquery'), false, true );

	/**
	 *Load the theme's core Javascript
	 */

	wp_enqueue_script( 'CEU_machothemes-object', plugin_dir_url( __FILE__ )  . '/assets/vendors/machothemes/machothemes.min.js', array(), $newsmag['Version'], true );
	wp_enqueue_script( 'CEU_newsmag-functions', plugin_dir_url( __FILE__ )  . '/assets/js/functions.js', array('jquery'), $newsmag['Version'], true );
wp_localize_script( 'CEU_newsmag-functions', 'WPUrls', array(
		'siteurl' => get_option( 'siteurl' ),
		'theme'   => get_template_directory_uri(),
		'ajaxurl' => admin_url( 'admin-ajax.php' )
	) );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'CEU_comment-reply' );
	}


	/**
	 * OwlCarousel Library
	 */
  /*
	wp_enqueue_script( 'owlCarousel-js', plugin_dir_url( __FILE__ )  . '/assets/vendors/owl-carousel/owl.carousel.min.js', array( 'jquery' ), $corrected_newsmag['Version'], true );
  */
    wp_enqueue_script( 'CEU_owlCarousel-js',
     plugin_dir_url( __FILE__ )  . '/assets/vendors/owl-carousel/owl.carousel.min.js', array( 'jquery' ), false, true );

    wp_enqueue_style( 'CEU_owlCarousel-main-css', plugin_dir_url( __FILE__ )  . '/assets/vendors/owl-carousel/owl.carousel.min.css' );

    wp_enqueue_style( 'CEU_owlCarousel-theme-css', plugin_dir_url( __FILE__ )  . '/assets/vendors/owl-carousel/owl.theme.default.css' );

}

add_action( 'wp_enqueue_scripts', 'corrected_newsmag_scripts' );

/**
 * Load admin fonts
 */
/*
function corrected_newsmag_admin_scripts() {
	$newsmag = wp_get_theme();
	wp_enqueue_style( 'newsmag-fonts', 'https://fonts.googleapis.com/css?family=Lato:100,300,400,700,900|Poppins:400,500,600,700', array(), $newsmag['Version'], 'all' );
}

add_action( 'admin_enqueue_scripts', 'corrected_newsmag_admin_scripts' );
*/

/**
 * Load editor styles
 */
/*
function corrected_newsmag_add_editor_styles() {
	add_editor_style( 'inc/assets/css/custom-editor-style.css' );
}

add_action( 'admin_init', 'corrected_newsmag_add_editor_styles' );
*/
